%define anolis_release 2
%global pypi_name slip

Name:       python-%{pypi_name}
Version:    0.6.5
Release:    %{anolis_release}%{?dist}
Summary:    Convenience, extension and workaround code for Python 2.x
License:    GPLv2+
URL:        https://github.com/nphilipp/python-%{pypi_name}
Source0:    https://github.com/nphilipp/python-%{pypi_name}/releases/download/python-%{pypi_name}-%{version}/python-%{pypi_name}-%{version}.tar.bz2
BuildArch:  noarch

BuildRequires: make python%{python3_pkgversion}-devel

%description
The Simple Library for Python 2.x packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides the "%{pypi_name}" and the "%{pypi_name}.util" modules.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:    Convenience, extension and workaround code for Python 3.x
Requires:   python%{python3_pkgversion}-libselinux

%description -n python%{python3_pkgversion}-%{pypi_name}
The Simple Library for Python 3.x packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides the "%{pypi_name}" and the "%{pypi_name}.util" modules.

%package -n python%{python3_pkgversion}-%{pypi_name}-dbus
Summary:    Convenience functions for dbus services in Python 3.x
Requires:   python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
Requires:   python%{python3_pkgversion}-dbus >= 0.80
Conflicts:  PolicyKit < 0.8-3
Requires:   python%{python3_pkgversion}-decorator
Requires:   python%{python3_pkgversion}-six
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}-dbus}

%description -n python%{python3_pkgversion}-%{pypi_name}-dbus
The Simple Library for Python 3.x packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides %{pypi_name}.dbus.service.Object, which is a dbus.service.Object
derivative that ends itself after a certain time without being used and/or if
there are no clients anymore on the message bus, as well as convenience
functions and decorators for integrating a dbus service with PolicyKit.

%package -n python%{python3_pkgversion}-%{pypi_name}-doc
Summary:    Documentation files for python%{python3_pkgversion}-%{pypi_name}
Requires:   python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
BuildArch:  noarch

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
Documentation files for python%{python3_pkgversion}-%{pypi_name} and python%{python3_pkgversion}-%{pypi_name}-dbus.

%prep
%autosetup -p1 -n python-%{pypi_name}-%{version}
find . -name '*.py' -o -name '*.py.in' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%build
make PYTHON=%{__python3} %{?_smp_mflags}

%install
make install PYTHON=%{__python3} DESTDIR=%buildroot

%files -n python%{python3_pkgversion}-%{pypi_name}
%license COPYING
%dir %{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}/__pycache__
%{python3_sitelib}/%{pypi_name}/__init__.py*
%{python3_sitelib}/%{pypi_name}/util
%{python3_sitelib}/%{pypi_name}/_wrappers
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}-dbus
%{python3_sitelib}/%{pypi_name}/dbus
%{python3_sitelib}/%{pypi_name}.dbus-%{version}-py%{python3_version}.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc doc/dbus/*
%doc AUTHORS

%changelog
* Mon Apr 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.6.5-2
- Optimize the spec file

* Thu Mar 10 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 0.6.5-1
- Init version from upstream v0.6.5
